{% extends 'base.html.twig' %}

{% block body %}
    <h1>
        <a href="{{ path('internet') }}">Utenti</a>
        &gt; {{ rootGroup|capitalize }}</h1>
    <h3>Legenda</h3>
    <p>
        <i class="fas fa-globe"></i> Navigazione attiva per tutto il gruppo -
        <i class="fas fa-user"></i> Sono presenti utenti con navigazione singola attiva
    </p>
    <div class="table-responsive">
        <table class="table table-striped">

            {% set listDivider = '' %}
            {% for group in groups %}
                {% if group.name|length>1 %}
                    {% if group.name|upper|slice(0, 1) != listDivider %}
                        {% set listDivider = group.name|upper|slice(0, 1) %}
                        <tr class="info">
                            <td colspan="5" align="center">{{ listDivider }}</td>
                        </tr>
                    {% endif %}
                    <tr>
                        <td>
                            {% if group.stato=='group-active' %}
                                <i class="fas fa-globe"></i>
                            {% endif %}
                            {% if group.stato=='user-active' %}
                                <i class="fas fa-user"></i>
                            {% endif %}
                        </td>
                        <td>{{ group.name }}
                        </td>
                        <td>
                            {% if group.stato!='group-active' %}
                                <button id="BTN-{{ group.name }}"
                                        class="btn btn-success internetOn">
                                    <i class="fas fa-clock"></i> Attiva
                                </button>
                            {% endif %}
                        </td>
                        <td>
                            {% if group.stato=='group-active'  or  group.stato=='user-active' %}
                                <a href="{{ path('internetOff',{'rootGroup': rootGroup,'group':group.name, 'rootGroup': rootGroup}) }}"
                                   class="btn btn-danger">
                                    Disattiva
                                </a>
                            {% endif %}
                        </td>
                        <td>
                            {% if group.stato!='group-active' %}
                                <a href="{{ path('getUsersInGroup',{'groupId':group.id, 'providerId': provider.id}) }}"
                                   class="btn btn-secondary">
                                    <i class="fas fa-user"></i> Studenti
                                </a>
                            {% endif %}

                        </td>
                    </tr>
                {% endif %}
            {% endfor %}
        </table>
    </div>


    <div class="modal fade" id="setTime" tabindex="-1" role="dialog" aria-labelledby="setTime" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h4 class="modal-title">Attivazione internet</h4>
                    </div>
                    <div class="modal-body">
                        Attiva <span id="group"></span> fino alle: <input type="text" id="timeToSet"
                                                                          value="{{ timeToSet|date("H:i") }}">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Chiudi</button>
                        <button id="confirm" type="button" class="btn btn-primary">Attiva</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        var group = '';
        var timeToSet = '{{ timeToSet|date("H:i") }}';
        $(".internetOn").click(function () {
            $('#setTime').modal('show');
            group = (this.id).substring(4);
            $('#group').html(group);
        });
        $("#confirm").click(function () {
            timeToSet = $('#timeToSet').val();
            window.location.href = "{{ path('internetOn',{'rootGroup': rootGroup}) }}?group=" + group + "&timeToSet=" + timeToSet;
            $('#setTime').modal('hide');
        });
    </script>

    <a href="{{ path('internet') }}" class="btn btn-secondary"><i class="fas fa-arrow-left"></i>Ritorna
        alla lista</a>

{% endblock %}
